Získat agregované statistiky podle data
curl --request GET \
--url https://rest-api.smsmngr.com/v1/requests \
--header 'x-api-key: <api-key>'import requests
url = "https://rest-api.smsmngr.com/v1/requests"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest-api.smsmngr.com/v1/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rest-api.smsmngr.com/v1/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rest-api.smsmngr.com/v1/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rest-api.smsmngr.com/v1/requests")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rest-api.smsmngr.com/v1/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"requests": [
{
"date": "2026-07-30",
"tags": [
"newsletter",
"promo"
],
"stats": {
"count_delivered": 120,
"count_seen": 40,
"count_clicked": 10,
"count_nondelivered": 3,
"count_sent": 125,
"count_notsent": 29,
"count_replied": 5,
"count_optout": 1,
"msg_sent": 130,
"price_czk": 118.75,
"price_eur": 0,
"first_ts_sent": "1785402000",
"last_ts_sent": "1785434400",
"msg_mccmnc": {
"23001": 50,
"23002": 80
},
"count_notsent_codes": {
"300": 27,
"303": 2
},
"flow_stats": {
"0": {
"viber": {
"sent": 100,
"notsent": 27,
"delivered": 98,
"nondelivered": 1,
"seen": 40,
"clicked": 10,
"replied": 5,
"optout": 1
}
},
"1": {
"sms": {
"sent": 25,
"notsent": 2,
"delivered": 22,
"nondelivered": 2,
"seen": 0,
"clicked": 0,
"replied": 0,
"optout": 0
}
}
}
}
}
]
}
Stav zpráv
Získat agregované statistiky podle data
Vrací agregované statistiky odesílání seskupené podle data, pro jedno nebo více dat, volitelně filtrované podle tagu. S parametrem group=tag vrací rozpad podle jednotlivých tagů místo agregátu za datum.
GET
/
requests
Získat agregované statistiky podle data
curl --request GET \
--url https://rest-api.smsmngr.com/v1/requests \
--header 'x-api-key: <api-key>'import requests
url = "https://rest-api.smsmngr.com/v1/requests"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest-api.smsmngr.com/v1/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rest-api.smsmngr.com/v1/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rest-api.smsmngr.com/v1/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rest-api.smsmngr.com/v1/requests")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rest-api.smsmngr.com/v1/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"requests": [
{
"date": "2026-07-30",
"tags": [
"newsletter",
"promo"
],
"stats": {
"count_delivered": 120,
"count_seen": 40,
"count_clicked": 10,
"count_nondelivered": 3,
"count_sent": 125,
"count_notsent": 29,
"count_replied": 5,
"count_optout": 1,
"msg_sent": 130,
"price_czk": 118.75,
"price_eur": 0,
"first_ts_sent": "1785402000",
"last_ts_sent": "1785434400",
"msg_mccmnc": {
"23001": 50,
"23002": 80
},
"count_notsent_codes": {
"300": 27,
"303": 2
},
"flow_stats": {
"0": {
"viber": {
"sent": 100,
"notsent": 27,
"delivered": 98,
"nondelivered": 1,
"seen": 40,
"clicked": 10,
"replied": 5,
"optout": 1
}
},
"1": {
"sms": {
"sent": 25,
"notsent": 2,
"delivered": 22,
"nondelivered": 2,
"seen": 0,
"clicked": 0,
"replied": 0,
"optout": 0
}
}
}
}
}
]
}
Authorizations
Query Parameters
Seznam dat oddělených čárkou (YYYY-MM-DD,YYYY-MM-DD,...).
Id podúčtu.
Filtr podle tagu.
Volitelné seskupení statistik. Při hodnotě tag se stats vrací jako pole s jednou položkou za každý tag, každá s hodnotou tagu v poli key. Bez uvedení se statistiky agregují přes všechny tagy daného data.
Available options:
tag Was this page helpful?